"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const FunctionDocumentation_1 = __importDefault(require("./FunctionDocumentation"));
//import functionDocumentation from '../data/function_documentation.json';
// TODO: import isn't working currently...
const functionDocumentation = [{ "function": "SUM", "description": "Returns the sum of a series of numbers and/or columns.", "examples": ["SUM(10, 11)", "SUM(A, B, D, F)", "SUM(A, B, D, F)"], "syntax": "SUM(value1, [value2, ...])", "syntax_elements": [{ "element": "value1", "description": "The first number or column to add together." }, { "element": "value2, ... [OPTIONAL]", "description": "Additional numbers or columns to sum." }] }];
const DocumentationSidebar = (props) => {
    const [selectedFunction, setSelectedFunction] = react_1.useState('');
    const functionDocumentationObjects = functionDocumentation;
    const functionNameList = functionDocumentationObjects.map((funcDocObject) => {
        return (react_1.default.createElement("li", { key: funcDocObject.function, onClick: () => { setSelectedFunction(funcDocObject.function); } }, funcDocObject.function));
    });
    // If there is no selected function, we return the list of all functions
    if (selectedFunction !== '') {
        // Get the function object for this
        const funcDocObject = functionDocumentationObjects.find((funcDocObject) => {
            return funcDocObject.function === selectedFunction;
        });
        if (funcDocObject) {
            return (react_1.default.createElement(FunctionDocumentation_1.default, { key: funcDocObject.function, funcDocObject: funcDocObject }));
        }
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h1", { onClick: () => { props.setDocumentation(false); } }, "Functions"),
        react_1.default.createElement("ul", null, functionNameList)));
};
exports.default = DocumentationSidebar;
//# sourceMappingURL=DocumentationSidebar copy.js.map