"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// Import CSS
require("../../css/mito-toolbar.css");
const Mito_1 = require("./Mito");
const MitoToolbar = (props) => {
    /* Adds a new column onto the end of a sheet, with A, B, C... as the name */
    const addColumn = () => {
        var _a;
        const newColumn = String.fromCharCode(65 + props.sheetJSON.columns.length);
        // Log the new column creation
        (_a = window.logger) === null || _a === void 0 ? void 0 : _a.track({
            userId: window.user_id,
            event: 'column_added_log_event',
            properties: {
                column_header: newColumn
            }
        });
        // TODO: have to update these timestamps, etc to be legit
        props.send({
            'event': 'edit_event',
            'type': 'add_column',
            'id': '123',
            'timestamp': '456',
            'column_header': newColumn
        });
    };
    return (react_1.default.createElement("div", { className: 'mito-toolbar-container' },
        react_1.default.createElement("div", { className: 'mito-toolbar-item cell-indicator vertical-align-content' },
            react_1.default.createElement("p", { className: "selected-cell" }, props.selectedCell)),
        react_1.default.createElement("button", { className: 'mito-toolbar-item vertical-align-content', onClick: addColumn },
            react_1.default.createElement("svg", { width: "26", height: "30", viewBox: "0 0 11 12", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                react_1.default.createElement("rect", { width: "7", height: "12", fill: "#FBFBFB", "fill-opacity": "0.65" }),
                react_1.default.createElement("rect", { y: "4", width: "7", height: "4", fill: "#C4C4C4" }),
                react_1.default.createElement("rect", { y: "8", width: "7", height: "4", fill: "white", "fill-opacity": "0.65" }),
                react_1.default.createElement("rect", { x: "0.25", y: "0.25", width: "6.5", height: "11.5", stroke: "black", "stroke-width": "0.5" }),
                react_1.default.createElement("rect", { x: "3.7608", y: "3.08218", width: "6.12552", height: "1.53138", transform: "rotate(-0.364619 3.7608 3.08218)", fill: "#27AE60" }),
                react_1.default.createElement("rect", { width: "6.12552", height: "1.53138", transform: "matrix(-0.00636375 -0.99998 -0.99998 0.00636375 7.61353 6.8862)", fill: "#27AE60" }))),
        react_1.default.createElement("button", { className: 'mito-toolbar-item', onClick: () => { props.setDocumentation(true); } }, "Documentation"),
        react_1.default.createElement("button", { className: 'mito-toolbar-item vertical-align-content', onClick: () => { props.setModal(Mito_1.ModalEnum.RepeatAnalysis); } }, "Repeat analysis")));
};
exports.default = MitoToolbar;
//# sourceMappingURL=MitoToolbar.js.map