"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const PivotTableColumnHeaderCard_1 = __importDefault(require("./PivotTableColumnHeaderCard"));
const PivotTaskpane_1 = require("./PivotTaskpane");
// import css
require("../../../../css/pivot-table-key-selection.css");
const SmallSelect_1 = __importStar(require("../../elements/SmallSelect"));
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableKeySelection = (props) => {
    const pivotTableColumnHeaderCards = [];
    for (const columnHeader of props.columnHeadersInSection) {
        pivotTableColumnHeaderCards.push((react_1.default.createElement(PivotTableColumnHeaderCard_1.default, { columnHeader: columnHeader, editColumnKeySelection: props.editColumnKeySelection, keyType: props.keyType })));
    }
    /*
      function passed to the SmallSelect so that when the user selects a
      key to add, it can communicate the addition to the pivot table state

      note: we use this wrapper around the editColumnKeySelection function so that
      we can conform with the interface of the SmallSelect whose setValue function
      only takes a string as a param
    */
    function selectColumnHeader(columnHeader) {
        props.editColumnKeySelection(props.keyType, columnHeader, PivotTaskpane_1.KeySelectionOperation.ADD);
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            react_1.default.createElement("p", { className: 'default-taskpane-body-section-title-text' }, props.sectionTitle),
            react_1.default.createElement(SmallSelect_1.default, { startingValue: 'add', optionsArray: props.selectableColumnHeaders, setValue: selectColumnHeader, titleColor: SmallSelect_1.TitleColor.BLUE })),
        pivotTableColumnHeaderCards));
};
exports.default = PivotTableKeySelection;
//# sourceMappingURL=PivotTableKeySelection.js.map