"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const PivotTaskpane_1 = require("./PivotTaskpane");
// import css
require("../../../../css/pivot-table-key-selection.css");
const SmallSelect_1 = __importStar(require("../../elements/SmallSelect"));
const PivotTableValueAggregationCard_1 = __importDefault(require("./PivotTableValueAggregationCard"));
//import PivotTableValueAggregationCard from './PivotTableValueAggregationCard';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableValueSelection = (props) => {
    console.log(props.aggregatedValuesInSection);
    // TODO: Put these in order of selection so that the new one is at the top so that the user can easily change its aggregation method
    const PivotTableValueAggregationCards = [];
    const selectableColumnHeaders = [];
    for (const columnHeader of Object.keys(props.aggregatedValuesInSection)) {
        // TODO: FIX BUG IN AGGREGATION VALUES WHERE HAVING TWO AGGREGATED COLUMNS WITH DIFFERENT METHODS, THEN DELETING THE TOP ONE 
        // CHANGE THE AGGREGATION METHOD OF THE BOTTOM ONE
        // if the column is already aggregated, then create the aggregation card for it
        if (props.aggregatedValuesInSection[columnHeader] !== PivotTaskpane_1.AggregationType.NONE) {
            PivotTableValueAggregationCards.push((react_1.default.createElement(PivotTableValueAggregationCard_1.default, { columnHeader: columnHeader, aggregationType: props.aggregatedValuesInSection[columnHeader], editValueAggregationSelection: props.editValueAggregationSelection })));
        }
        // if the column is not already aggregated, add it to the list of selectable columns
        selectableColumnHeaders.push(columnHeader);
    }
    /*
      function passed to the SmallSelect so that when the user selects a
      key to add, it can communicate the addition to the pivot table state

      note: we use this wrapper around the editColumnKeySelection function so that
      we can conform with the interface of the SmallSelect whose setValue function
      only takes a string as a param
    */
    function addAggregatedValue(columnHeader) {
        props.editValueAggregationSelection(columnHeader, PivotTaskpane_1.AggregationType.SUM);
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            react_1.default.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Values"),
            react_1.default.createElement(SmallSelect_1.default, { startingValue: 'add', optionsArray: selectableColumnHeaders, setValue: addAggregatedValue, titleColor: SmallSelect_1.TitleColor.BLUE })),
        PivotTableValueAggregationCards));
};
exports.default = PivotTableValueSelection;
//# sourceMappingURL=PivotTableValueSelection.js.map